import { NotifyPushService } from './push.service';
import { NotifyComponent } from './notify.component';
import { NotifyHolderComponent } from './notify-holder.component';
import { CommonModule } from '@angular/common';
import { NgModule, ComponentFactoryResolver, ApplicationRef, Injector } from '@angular/core';
import { NotifyService } from './notify.service';
import { NotifyServiceConfig } from './notify.service.config';
/**
 * 通知服务工厂
 */
export function notifyServiceFactory(resolver, applicationRef, injector, config) {
    return new NotifyService(resolver, applicationRef, injector, config);
}
var NotifyModule = (function () {
    function NotifyModule() {
    }
    NotifyModule.forRoot = function (config) {
        return {
            ngModule: NotifyModule,
            providers: [
                { provide: NotifyServiceConfig, useValue: config },
                {
                    provide: NotifyService,
                    useFactory: notifyServiceFactory,
                    deps: [ComponentFactoryResolver, ApplicationRef, Injector, NotifyServiceConfig]
                }
            ]
        };
    };
    return NotifyModule;
}());
export { NotifyModule };
NotifyModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [NotifyHolderComponent, NotifyComponent],
                providers: [NotifyService, NotifyPushService],
                entryComponents: [NotifyHolderComponent, NotifyComponent]
            },] },
];
/** @nocollapse */
NotifyModule.ctorParameters = function () { return []; };
//# sourceMappingURL=notify.module.js.map